Bug 481526 - building an i386 image on a x86_64 system makes an unbootable CD
building an i386 image on a x86_64 system makes an unbootable CD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-25 20:24 EST by Philippe Troin
Modified: 2009-12-18 02:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:41:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2009-01-25 20:24:24 EST
Description of problem:
I'm attempting to build a minimal install CD to install on an old server.
The target CD is going to be i386, but I am building it on a x86_64 system.
Revisor completes successfully, but the generated .iso is unbootable.
The kernel loads, but the initrd fails to start.
The displays says:
...
Failed to execute /init
Kernel panic - not syncing: No init found.

Version-Release number of selected component (if applicable):
revisor-2.1.3-1.fc10.noarch

How reproducible:
Always

Steps to Reproduce:
1. Start revisor on a x86_64 system.
2. Click on "Get Started"
3. Select "CD Set"
4. Click "Forward"
5. Keep the default configuration (/etc/revisor/revisor.conf, f10-i386, etc)
6. Click "Forward"
7. Do not provide a kickstart file (default)
8. Click "Forward"
9. THe repositories load - Do not select ANY packages.
10. Click "Forward"
11. Click "Forward" again.
12. Revisor completes.
13. The image is not bootable.

Additional info:
Analysis of the initrd inside the ISO image under /isolinux/initrd.img shows that /lib/ld-linux.so.2 is a symlink to "ld-linux.so.2" (that is it points to itself).  There is no ld-2.9.so either.
On a normal initrd, /lib/ld-linux.so.2 would be a symlink pointing to ld-2.9.so.
Comment 1 Jeroen van Meeuwen 2009-01-30 05:05:21 EST
This is due to an error in anaconda, which should be fixed relatively soon. Reassigning to the anaconda devs.
Comment 3 Jeroen van Meeuwen 2009-02-10 15:40:00 EST
Resubmitted the patch because I got zero response. This time, it is cleaner (no trailing whitespace stripped):

https://www.redhat.com/archives/anaconda-devel-list/2009-February/msg00115.html
Comment 4 David Cantrell 2009-06-30 23:18:31 EDT
(In reply to comment #3)
> Resubmitted the patch because I got zero response. This time, it is cleaner (no
> trailing whitespace stripped):
> 
> https://www.redhat.com/archives/anaconda-devel-list/2009-February/msg00115.html  

This patch is in rawhide.  The change went in with cd333fa45091c36629f05f75233cdbcf44e26bf7 on April 7th, so that should have made it in to F-11 too.
Comment 5 Philippe Troin 2009-07-15 15:51:46 EDT
No, the bug is still present in 2.1.6-1.fc11.

Phil.
Comment 6 David Cantrell 2009-08-07 00:45:37 EDT
Jeroen,

Is this patch still missing or can I close out the bug?
Comment 7 Jeroen van Meeuwen 2009-08-07 06:11:27 EDT
The patch is in, but the issue remains unresolved. I'll get it off your queue though, pending further investigation.
Comment 8 Bug Zapper 2009-11-18 05:52:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:41:56 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.